import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:provider/single_child_widget.dart';

class Store {
  static BuildContext widgetCtx;

  static init({context, child, List<SingleChildWidget> providers}) {
    if (context != null) {
      widgetCtx = context;
    }
    if (providers == null) {
      providers = [];
    }
    return MultiProvider(
      providers: providers,
      child: child,
    );
  }

  static T value<T>(context, {bool listen = true}) {
    return Provider.of<T>(context, listen: listen);
  }


  static Consumer connect<T>({Function(BuildContext context, T value, Widget child) builder, child}) {
    return Consumer<T>(builder: builder, child: child);
  }

}